name: rosbag-obj
plugins:
- name: panda-rosbag-obj
  pluginSpec:
    image: registry.gitlab.com/lbl-anp/panda/dawn_pipeline/plugin-rosbag:v1.0.1
    resource:
      request.cpu: 100m
      limit.cpu: 1000m
      request.memory: 100Mi
      limit.memory: 500Mi
    env:
      SIZE: 256
      BAGDIR: /home/panda/mount/bags
      PRFX: panda-obj-stream
      TOPICS: "/object_detection/detections /depth_extraction/detections /object_tracker/tracks"
nodes:
  W076:
scienceRules:
- 'schedule(panda-rosbag-obj): True'
successcriteria:
- WallClock(1d)
